%define pkg_name        HTML-Parser
%define pkg_version     3.56
%define rpm_pkg_version 3.56
%define rpm_pkg_release 1.n0i.20


Summary:       Basic HTML Parser
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GA/GAAS/%{pkg_name}-%{pkg_version}.tar.gz


BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(HTML::Tagset) >= 3
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(HTML::Tagset) >= 3}
%{!?_without_test:BuildRequires: perl(Test::More)}

%global perl_filter_req 'Data::Dump'


%description
This is a collection of modules that parse and extract information
from HTML documents.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{fix_man}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes eg/ README TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 3.56-1.n0i.20
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 3.56

* Tue May 02 2006 Marius Feraru <altblue@n0i.net> - 3.54-1.n0i.19
- version 3.54

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 3.51-1.n0i.18
- version 3.51

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 3.50-1.n0i.17
- version 3.50

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 3.48-1.n0i.16
- version 3.48

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 3.46-1.n0i.15
- version 3.46

* Thu Jul 21 2005 Marius Feraru <altblue@n0i.net> 3.45-2.n0i.14
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:3.45-1.n0i.13
- automatic rebuild (perl 5.8.6)

* Thu Jan 13 2005 Marius Feraru <altblue@n0i.net> 0:3.45-1.n0i.12
- version 3.45

* Tue Jan 04 2005 Marius Feraru <altblue@n0i.net> 0:3.44-1.n0i.11
- version 3.44
- enabling Unicode patch is no longer necessary

* Tue Nov 30 2004 Marius FERARU <altblue@n0i.net> 0:3.38-1.n0i.10
- version 3.38
- no dependencies are to be computed based on files in %%docdir

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:3.36-1.n0i.9
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:3.36-1.n0i.8
- automatic rebuild

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:3.36-1.n0i.7
- version 3.36
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Thu Jan 22 2004 Marius FERARU <altblue.net> 0:3.35-0.n0i.6
- automatic rebuild

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:3.35-0.n0i.5
- version 3.35

* Sun Nov 02 2003 Marius FERARU <altblue@n0i.net> 0:3.34-0.n0i.4
- version 3.34
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001

* Sat Oct 18 2003 Marius FERARU <altblue@n0i.net> 3.33-0.n0i
- version 3.33
- optional 'make test'
- added perl_vendorarch macro and applied it to extra owned directories
- added custom requires script for dropping Data::Dump requirement

* Fri Sep 26 2003 Marius FERARU <altblue@n0i.net> 3.31-0.n0i
- version 3.31
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601

* Mon Jun 30 2003 Marius FERARU <altblue@n0i.net> 3.28-0.n0i
- Initial custom build.
- added UTF8 enable patch
- misc other spec cleanups

* Thu Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Mon Jun  3 2002 Chip Turner <cturner@redhat.com>
- fix for Makefile.PL sometimes prompting for input

* Wed Mar 27 2002 Chip Turner <cturner@redhat.com>
- update to 3.26, move to vendor_perl

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 3.25-2
- imported from mandrake. tweaked man path.

* Tue Jul 03 2001 François Pons <fpons@mandrakesoft.com> 3.25-1mdk
- 3.25.

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 3.18-3mdk
- Fixed distribution tag.
- Updated Requires.
- Added an option to %makeinstall.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.18-2mdk
- Rebuild against the latest perl.

* Tue Feb 27 2001 François Pons <fpons@mandrakesoft.com> 3.18-1mdk
- 3.18.

* Tue Jan 30 2001 François Pons <fpons@mandrakesoft.com> 3.15-1mdk
- 3.15.

* Tue Dec 05 2000 François Pons <fpons@mandrakesoft.com> 3.14-1mdk
- 3.14.

* Thu Oct 12 2000 François Pons <fpons@mandrakesoft.com> 3.13-1mdk
- 3.13.

* Tue Aug 29 2000 François Pons <fpons@mandrakesoft.com> 3.11-1mdk
- 3.11.

* Thu Aug 03 2000 François Pons <fpons@mandrakesoft.com> 3.10-2mdk
- macroszifications.
- add doc.

* Tue Jul 18 2000 François Pons <fpons@mandrakesoft.com> 3.10-1mdk
- removed perllocal.pod from files.
- 3.10.

* Tue Jun 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.08-1mdk
- update to 3.08

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.05-4mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 3.05-3mdk
- rebuild, new group, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.5-1mdk
- upgrade to 3.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
-updated to 3.02

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 2.23

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
